package com.fp.armas.task;

import java.util.HashMap;
import java.util.Map;

import com.fp.persistence.commondb.PersistenceHelper;
import com.fp.persistence.parmas.soli.TarmDecomiso;
import com.fp.persistence.pgeneral.gene.TgeneParameters;
import com.fp.persistence.pgeneral.gene.TgeneParametersKey;
import com.fp.simple.action.TaskAction;

/**
 * Clase que se encarga de validar si es decoiso o incautacion
 * 
 * @version 2.1
 */
public class ValidacionDecomiso extends TaskAction {

    /*
     * (non-Javadoc)
     * 
     * @see com.fp.simple.action.TaskAction#assignOwner(com.fp.dto.Request)
     */
    @SuppressWarnings("unchecked")
    @Override
    public void assignOwner(Object pParam) throws Exception {
    	
    	System.out.println("cdecomiso");
        HashMap<String, Object> m = (HashMap<String, Object>) pParam;
        Map<String, Object> mrequest = (Map<String, Object>) m.get("request");
        
        if (mrequest.get("cdecomiso") == null) {
            return;
        }
        
        Long cdecomiso=Long.parseLong(mrequest.get("cdecomiso").toString());
        TarmDecomiso decomiso=TarmDecomiso.find(PersistenceHelper.getEntityManager(), cdecomiso);
        //CODIGO DEL DECOMISO DEL TIPO DE REGISTRO
        TgeneParameters parameters= TgeneParameters.find(PersistenceHelper.getEntityManager(), new TgeneParametersKey("CODIGO.TIPOREGISTRO.DECOMISO", 1));
        if(decomiso.getTipoproceso().equals(parameters.getTextvalue())){
        	 m.put("importacion","A");
        }else{
        	 m.put("importacion","D");
        }
       
    }

}
